EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_SELECTION_EVENT_WM_SELECTION_CHANGED =
   EFL_EVENT_DESCRIPTION("wm_selection,changed");

void _efl_ui_selection_selection_set(Eo *obj, Efl_Ui_Selection_Data *pd, Efl_Ui_Cnp_Buffer buffer, Eina_Content *content, unsigned int seat);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_selection_set, EFL_FUNC_CALL(buffer, content, seat), Efl_Ui_Cnp_Buffer buffer, Eina_Content *content, unsigned int seat);

void _efl_ui_selection_selection_clear(Eo *obj, Efl_Ui_Selection_Data *pd, Efl_Ui_Cnp_Buffer buffer, unsigned int seat);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_selection_clear, EFL_FUNC_CALL(buffer, seat), Efl_Ui_Cnp_Buffer buffer, unsigned int seat);

Eina_Future *_efl_ui_selection_selection_get(Eo *obj, Efl_Ui_Selection_Data *pd, Efl_Ui_Cnp_Buffer buffer, unsigned int seat, Eina_Iterator *acceptable_types);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_ui_selection_get, Eina_Future *, NULL, EFL_FUNC_CALL(buffer, seat, acceptable_types), Efl_Ui_Cnp_Buffer buffer, unsigned int seat, Eina_Iterator *acceptable_types);

Eina_Bool _efl_ui_selection_has_selection(Eo *obj, Efl_Ui_Selection_Data *pd, Efl_Ui_Cnp_Buffer buffer, unsigned int seat);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_ui_selection_has_selection, Eina_Bool, 0, EFL_FUNC_CALL(buffer, seat), Efl_Ui_Cnp_Buffer buffer, unsigned int seat);

Efl_Object *_efl_ui_selection_efl_object_constructor(Eo *obj, Efl_Ui_Selection_Data *pd);


void _efl_ui_selection_efl_object_invalidate(Eo *obj, Efl_Ui_Selection_Data *pd);


Efl_Object *_efl_ui_selection_efl_object_finalize(Eo *obj, Efl_Ui_Selection_Data *pd);


static Eina_Bool
_efl_ui_selection_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_SELECTION_EXTRA_OPS
#define EFL_UI_SELECTION_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_selection_set, _efl_ui_selection_selection_set),
      EFL_OBJECT_OP_FUNC(efl_ui_selection_clear, _efl_ui_selection_selection_clear),
      EFL_OBJECT_OP_FUNC(efl_ui_selection_get, _efl_ui_selection_selection_get),
      EFL_OBJECT_OP_FUNC(efl_ui_selection_has_selection, _efl_ui_selection_has_selection),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_selection_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_invalidate, _efl_ui_selection_efl_object_invalidate),
      EFL_OBJECT_OP_FUNC(efl_finalize, _efl_ui_selection_efl_object_finalize),
      EFL_UI_SELECTION_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_selection_class_desc = {
   EO_VERSION,
   "Efl.Ui.Selection",
   EFL_CLASS_TYPE_MIXIN,
   sizeof(Efl_Ui_Selection_Data),
   _efl_ui_selection_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_selection_mixin_get, &_efl_ui_selection_class_desc, NULL, NULL);
